<?php

if(core::getPost("id") == "add"){
    if(event::add() == TRUE) {

        historique::recRef("/evenement-" . event::lastEvenement().".html");
        historique::add(array(
            "idType" => historique::getIdRef("ACTION"),
            "idUser" => session::getId(),
            "idPage" => historique::getIdRef("/evenement-" . event::lastEvenement().".html"),
            "log" => "Création de l'évènement"
        ));

        alert::recSuccess("L'évènement a bien été créé");
        header("Location: /evenement-" . event::lastEvenement().".html");
        exit();
    } else {
        alert::recError("Erreur lors de l'enregistrement de l'évènement");
        header("Location: /add-evenement.html");
        exit();
    }
} else {
    if(event::update() == TRUE) {

        historique::recRef("/evenement-" . core::getPost("id").".html");
        historique::add(array(
            "idType" => historique::getIdRef("ACTION"),
            "idUser" => session::getId(),
            "idPage" => historique::getIdRef("/evenement-" . core::getPost("id").".html"),
            "log" => "Modification de l'évènement"
        ));

        alert::recSuccess("L'évènement a bien été modifié");
        header("Location: /evenement-" . core::getPost("id").".html");
        exit();
    } else {
        alert::recError("Erreur lors de la modification de l'évènement");
        header("Location: /evenement-" . core::getPost("id").".html");
        exit();
    }
}
